CREATE FUNCTION "DBA"."get_pv_yksusnr"( in a_skoop integer, in a_konto char(7), in a_asutnr integer )
RETURNS INTEGER
BEGIN
  declare li_yksusnr integer;
  select first yksusnr into li_yksusnr from pv_yksus where skoop=a_skoop and konto=a_konto and asutnr=a_asutnr;
  if li_yksusnr is null then
    set li_yksusnr=0
  end if;
  return li_yksusnr;
END